
package Formularios;

import Classes.Dados;
import Classes.Produto;
import Classes.Usuario;
import Classes.Utilidades;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;


public class frmProdutos extends javax.swing.JInternalFrame {

    private Dados clsdados;
    private int Produtotual=0;
    private boolean cmdNovo=false;
    private DefaultTableModel Usertable;
    
    public void setDados(Dados clsdados){
        this.clsdados = clsdados;
    }
    public frmProdutos() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtcodproduto = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtpreco = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtdescricao = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        cmddeletar = new javax.swing.JButton();
        cmdnovo = new javax.swing.JButton();
        cmdsalvar = new javax.swing.JButton();
        cmdpesquisar = new javax.swing.JButton();
        cmdalterar = new javax.swing.JButton();
        cmdanterior = new javax.swing.JButton();
        cmdproximo = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        Mtable = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        cmdcancelar = new javax.swing.JButton();
        txtobs = new javax.swing.JTextField();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Cadastro De Usuarios");
        addInternalFrameListener(new javax.swing.event.InternalFrameListener() {
            public void internalFrameActivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosed(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosing(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameIconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameOpened(javax.swing.event.InternalFrameEvent evt) {
                formInternalFrameOpened(evt);
            }
        });

        jPanel1.setBackground(new java.awt.Color(255, 255, 0));

        jLabel1.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel1.setText("Cod Produto: ");

        jLabel2.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel2.setText("Preço R$: ");

        jLabel3.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel3.setText("Descrição:");

        jLabel4.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel4.setText("Observação:");

        cmddeletar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/delete_4219.png"))); // NOI18N
        cmddeletar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmddeletarActionPerformed(evt);
            }
        });

        cmdnovo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/NovoUsuario.png"))); // NOI18N
        cmdnovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdnovoActionPerformed(evt);
            }
        });

        cmdsalvar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Salvar.png"))); // NOI18N
        cmdsalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdsalvarActionPerformed(evt);
            }
        });

        cmdpesquisar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Pesquisar.png"))); // NOI18N
        cmdpesquisar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdpesquisarActionPerformed(evt);
            }
        });

        cmdalterar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Editar.png"))); // NOI18N
        cmdalterar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdalterarActionPerformed(evt);
            }
        });

        cmdanterior.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Anterior.png"))); // NOI18N
        cmdanterior.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdanteriorActionPerformed(evt);
            }
        });

        cmdproximo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Proximo.png"))); // NOI18N
        cmdproximo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdproximoActionPerformed(evt);
            }
        });

        Mtable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null}
            },
            new String [] {
                "Cod Usuario", "Nome", "Sobrenome"
            }
        ));
        jScrollPane1.setViewportView(Mtable);

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/burger_food_20614.png"))); // NOI18N

        cmdcancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Cancelar.png"))); // NOI18N
        cmdcancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cmdanterior)
                                .addGap(18, 18, 18)
                                .addComponent(cmdproximo)
                                .addGap(18, 18, 18)
                                .addComponent(cmdcancelar)
                                .addGap(18, 18, 18)
                                .addComponent(cmdalterar)
                                .addGap(18, 18, 18)
                                .addComponent(cmdpesquisar)
                                .addGap(18, 18, 18)
                                .addComponent(cmdsalvar)
                                .addGap(18, 18, 18)
                                .addComponent(cmdnovo)
                                .addGap(18, 18, 18)
                                .addComponent(cmddeletar))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                        .addComponent(txtcodproduto, javax.swing.GroupLayout.PREFERRED_SIZE, 226, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(18, 18, 18)
                                        .addComponent(txtpreco, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addComponent(txtdescricao)
                                    .addComponent(txtobs))
                                .addGap(28, 28, 28)
                                .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addContainerGap(149, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jScrollPane1)
                        .addGap(58, 58, 58))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(txtcodproduto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel2)
                            .addComponent(txtpreco, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel3)
                            .addComponent(txtdescricao, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(63, 63, 63)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(txtobs, javax.swing.GroupLayout.PREFERRED_SIZE, 137, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGap(57, 57, 57)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(cmdanterior)
                    .addComponent(cmdnovo)
                    .addComponent(cmdproximo)
                    .addComponent(cmdcancelar)
                    .addComponent(cmdalterar)
                    .addComponent(cmdpesquisar)
                    .addComponent(cmdsalvar)
                    .addComponent(cmddeletar))
                .addGap(40, 40, 40)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 363, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(91, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(4, 4, 4))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    private void formInternalFrameOpened(javax.swing.event.InternalFrameEvent evt) {//GEN-FIRST:event_formInternalFrameOpened
    txtcodproduto.setText(clsdados.getUsuarios()[Produtotual].getCodusuario());
    txtpreco.setText(clsdados.getUsuarios()[Produtotual].getNome());
    txtdescricao.setText(clsdados.getUsuarios()[Produtotual].getSobrenome());
    txtobs.setText(clsdados.getUsuarios()[Produtotual].getSenha());
     CarregarTable();
    
    }//GEN-LAST:event_formInternalFrameOpened

    private void cmdproximoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdproximoActionPerformed
        // TODO add your handling code here:
       Produtotual ++;
        if(Produtotual == +1){
            Produtotual = clsdados.NUprodutos()+1;
        
        }
        visualizarCadastros();
    }//GEN-LAST:event_cmdproximoActionPerformed

    private void cmdanteriorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdanteriorActionPerformed
        // TODO add your handling code here:
        Produtotual --;
        if(Produtotual == -1){
            Produtotual = clsdados.NUprodutos()-1;
        }
        visualizarCadastros();
    }//GEN-LAST:event_cmdanteriorActionPerformed

    private void cmdalterarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdalterarActionPerformed
        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtpreco.setEnabled(true);
        txtdescricao.setEnabled(true);
        txtobs.setEnabled(true);

        txtpreco.requestFocusInWindow();

    }//GEN-LAST:event_cmdalterarActionPerformed

    private void cmdpesquisarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdpesquisarActionPerformed
        //este codigo é para botao pesquisar,  (se for ter)

        String produto = JOptionPane.showInputDialog("Favor digitar o codigo do produto para realizar sua pesquisa");
        if(produto.equals("")){
            return;
        }
        
              
        int posL = clsdados.LinhaProduto(produto);
        if (posL == -1){
            JOptionPane.showMessageDialog(rootPane, " Nao foi possivel localiza este produto no nosso banco de dados");
            return;
        }
        Produtotual=posL;
        visualizarCadastros();
    }//GEN-LAST:event_cmdpesquisarActionPerformed
    
    
    //inicio do teste
    public class SemLetraBException extends Exception {
    @Override
    public String getMessage(){
    return "Favor digitar o codigo d";
  }
}
    
    public class TesteExcecao {
  public  void main(String args[]) throws SemLetraBException 
  {
    String usuario = JOptionPane.showInputDialog("Favor digitar o cod");
    if(!usuario.contains(null) )
    throw new SemLetraBException();
  }
}
    // fim do teste
    
    
    private void cmdsalvarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdsalvarActionPerformed
        //validando os campo no formulario de usuario

        if (txtcodproduto.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do produto não pode ficar em branco!");
            txtcodproduto.requestFocusInWindow();
            return;

        }
        if (txtcodproduto.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do produto não pode ficar em branco!");
            txtcodproduto.requestFocusInWindow();
            return;

        }
        
        
        if (txtpreco.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo preço do produto não pode ficar em branco!");
            txtcodproduto.requestFocusInWindow();
            return;

        }
        if (txtdescricao.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo descrição do produto não pode ficar em branco!");
            txtcodproduto.requestFocusInWindow();
            return;

        }
        if (txtobs.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Observação do produto não pode ficar em branco!");
            txtcodproduto.requestFocusInWindow();
            return;

        }
        if (!Utilidades.isNumeric(txtpreco.getName())) {
            JOptionPane.showMessageDialog(rootPane, "Este campo só aceita numeros");
           txtcodproduto.requestFocusInWindow();
           
            
            
        }else{
            return;
        
   
        int preco = Integer.parseInt(txtpreco.getText());
        if (preco<=0) {
            JOptionPane.showMessageDialog(rootPane, "Este campo só aceita numeros maiores que 0");
            txtpreco.requestFocusInWindow();
            
            
        }else{
            return;
        }

        int poslinha= clsdados.LinhaUsuario(txtcodproduto.getText());
        if (cmdNovo) {
            if (poslinha != -1) {
                JOptionPane.showMessageDialog(rootPane, "Este produto ja existe");
                txtcodproduto.requestFocusInWindow();
                return;

            }

        }

        else{
            if (poslinha == -1) {
                JOptionPane.showMessageDialog(rootPane, "Este produto não existe ainda");
                txtcodproduto.requestFocusInWindow();
                return;

            }
            //deveria ter mais uma chave, mas da erro ao colocar
        //}
            //MESMO ERRO DO CONSTRUTOR QUE EU NÃO SEI RESOLVER!!!!!!
            //
            Produto produto = new Produto(txtcodproduto.getText(),txtdescricao.getText(), preco,txtobs.getText());
            
            String msg;

            if (cmdNovo) {
                msg= clsdados.CodProduto(produto);

            }else{
                msg= clsdados.EditarProduto(produto,poslinha);
            }
            JOptionPane.showMessageDialog(rootPane, msg);
              CarregarTable();
            //Esse é o codigo do botão de salvar

            //cmdsalvar.setEnabled(false);
            //cmdultimo.setEnabled(false);

            cmdanterior.setEnabled(false);
            cmdproximo.setEnabled(false);
            cmddeletar.setEnabled(false);
            cmdalterar.setEnabled(true);
            cmdcancelar.setEnabled(true);
            cmdsalvar.setEnabled(false);
            cmdpesquisar.setEnabled(false);
            

            txtcodproduto.setEnabled(false);
            txtpreco.setEnabled(false);
            txtdescricao.setEnabled(false);
            txtobs.setEnabled(false);
            

        }
        }
    }//GEN-LAST:event_cmdsalvarActionPerformed

    private void cmdnovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdnovoActionPerformed
        // TODO add your handling code here

        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtcodproduto.setEnabled(true);
        txtpreco.setEnabled(true);
        txtdescricao.setEnabled(true);
        txtobs.setEnabled(true);
   

        txtcodproduto.setText("");
        txtpreco.setText("");
        txtdescricao.setText("");
        txtobs.setText("");
    

        txtcodproduto.requestFocusInWindow();

        CarregarTable();
    }//GEN-LAST:event_cmdnovoActionPerformed

    private void cmddeletarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmddeletarActionPerformed
        // Este é o codigo do botão deletar

        int Del = JOptionPane.showConfirmDialog(rootPane, "Tem certeza que deseja deletar este cadastro?");
        if (Del !=0) {
            return;

        }
        String msg;
        msg = clsdados.DeletarProduto(Produtotual);
        JOptionPane.showMessageDialog(rootPane, ui);
        Produtotual = 0;
        visualizarCadastros();
        
         CarregarTable();
    }//GEN-LAST:event_cmddeletarActionPerformed

    private void cmdcancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcancelarActionPerformed
        // TODO add your handling code here:
        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtcodproduto.setEnabled(true);
        txtpreco.setEnabled(true);
        txtdescricao.setEnabled(true);
        txtobs.setEnabled(true);
   

        txtcodproduto.setText("");
        txtpreco.setText("");
        txtdescricao.setText("");
        txtobs.setText("");
    
    }//GEN-LAST:event_cmdcancelarActionPerformed
private void visualizarCadastros(){
        txtcodproduto.setText(clsdados.getprodutos()[Produtotual].getCodproduto());
        txtpreco.setText(""+ clsdados.getprodutos()[Produtotual].getPreco());
        txtdescricao.setText(clsdados.getprodutos()[Produtotual].getDescricao());
        txtobs.setText(clsdados.getprodutos()[Produtotual].getObs());
            
}
private void CarregarTable(){
 String titulocabecalho[]={"Cod Produto ","Descrição","Preço,","obs"};
 String RegCadastro[]= new String[5];
 Usertable=new DefaultTableModel(null, titulocabecalho);
    for (int i = 0; i < clsdados.NUprodutos(); i++) {
        RegCadastro[0]=clsdados.getprodutos()[i].getCodproduto();
         RegCadastro[1]=clsdados.getprodutos()[i].getDescricao();
          RegCadastro[2]="" +clsdados.getprodutos()[i].getPreco();
          


        Usertable.addRow(RegCadastro);
    }
    Mtable.setModel(Usertable);
}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable Mtable;
    private javax.swing.JButton cmdalterar;
    private javax.swing.JButton cmdanterior;
    private javax.swing.JButton cmdcancelar;
    private javax.swing.JButton cmddeletar;
    private javax.swing.JButton cmdnovo;
    private javax.swing.JButton cmdpesquisar;
    private javax.swing.JButton cmdproximo;
    private javax.swing.JButton cmdsalvar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField txtcodproduto;
    private javax.swing.JTextField txtdescricao;
    private javax.swing.JTextField txtobs;
    private javax.swing.JTextField txtpreco;
    // End of variables declaration//GEN-END:variables
}

